General foo2lava :  foo2zjs - foo2hp - foo2xqx - foo2lava - foo2qpdl - foo2oak
Support for linux printer drivers
The fastest message board... ever.
 
impossible to install a ghostscript that works on Ubuntu 11.10 [solved]
Posted by: bodinux ()
Date: December 10, 2011 03:11PM

Hi Richard,

Running ubuntu 11.10, I tried unsuccessfully to compile and install ghostscript 8.71 (see error below). Therefore despite your good work, I have bad colors.

This problem exists since gs 9.00 (i.e. Sept. 2010). Is Ghostscript aware of this issue ? Do you know if they are working to solve it ?

What is your advice to have a good quality color print with an up to date linux system ?

Thanks
bodinux

For information only : Error in ghostscript 8.71 make with ubuntu 11.10:
Quote

In file included from ./base/gp_unix.c:19:0:
./base/time_.h:49:8: erreur: redefinition of ‘struct timeval’
/usr/include/x86_64-linux-gnu/bits/time.h:75:8: note: originally defined here



Edited 2 time(s). Last edit at 12/11/2011 07:47AM by rickrich.

Options: ReplyQuote
Re: impossible to install a ghostscritp that works
Posted by: rickrich ()
Date: December 10, 2011 05:30PM

$ cat /etc/issue
Ubuntu 11.10 \n \l

$ cd ghostscript-8.71

$ ./configure  --without-jbig2dec
...
$ make CFLAGS+="-DHAVE_SYS_TIME_H=1"
...
$ ll bin/gs
-rwxrwxr-x 1 rick rick 15600725 2011-12-10 16:23 bin/gs*

Options: ReplyQuote
Re: impossible to install a ghostscript that works on Ubuntu 11.10
Posted by: bodinux ()
Date: December 11, 2011 03:32AM

Thank you,

Works for i386 and x64.

Options: ReplyQuote


Sorry, only registered users may post in this forum.
This forum powered by Phorum.